<?php
	$queries = array("
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."players
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				name VARCHAR(255) NOT NULL default '',
				webID VARCHAR(255) NOT NULL default ''
			) ENGINE = MYISAM
		;
	", "
		ALTER TABLE
			".$_POST['prefix']."players
		MODIFY 
			webID INT NOT NULL default 0
		;
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."cmsdata
			(
				CMS VARCHAR(255) NOT NULL default '',
				Data LONGTEXT NOT NULL default ''
			) ENGINE = MYISAM
		;
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."playernames
			(
				ID INT NOT NULL default 0,
				name VARCHAR(255) NOT NULL default ''
			) ENGINE = MYISAM
		;
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."signatures
			(
				signature_type VARCHAR(16) NOT NULL default '',
				signature_width INT NOT NULL default 0,
				signature_height INT NOT NULL default 0,
				signature_folder VARCHAR(128) NOT NULL default 'signatures/',
				signature_pattern_filename VARCHAR(128) NOT NULL default '',
				signature_pattern_folder VARCHAR(128) NOT NULL default 'signatures/pattern/',
				rankicon_folder VARCHAR(128) NOT NULL default 'stylesheets/images/ranks/',
				font_filename VARCHAR(128) NOT NULL default '',
				font_folder VARCHAR(128) NOT NULL default 'signatures/fonts/',
				font_size INT NOT NULL default 0,
				font_color VARCHAR(16) NOT NULL default '255, 255, 255',
				background_color VARCHAR(16) NOT NULL default '0, 0, 0',
				background_alpha_start INT NOT NULL default 0,
				background_alpha_end INT NOT NULL default 0,
				background_offset INT NOT NULL default 0
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."settings
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."settings
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				Version VARCHAR(16) NOT NULL default '',
				Language VARCHAR(32) NOT NULL default '',
				Path VARCHAR(255) NOT NULL default '',
				CMS VARCHAR(255) NOT NULL default '01_standalone',
				Theme VARCHAR(32) NOT NULL default 'light-blue',
				Clanpage VARCHAR(64) NOT NULL default '',
				ClanHP VARCHAR(64) NOT NULL default '',
				Clantag VARCHAR(64) NOT NULL default '',
				Gueststats TINYINT NOT NULL default 1,
				Iconsize INT NOT NULL default 24,
				Lastupdate INT NOT NULL default 1,
				Adminlink TINYINT NOT NULL default 1,
				Supportlink TINYINT NOT NULL default 1,
				Showupdate TINYINT NOT NULL default 0,
				Overview_Average TINYINT NOT NULL default 1,
				Overview_Summary TINYINT NOT NULL default 0,
				Detaillink TINYINT NOT NULL default 1,
				Target TINYINT NOT NULL default 1
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."overview
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."overview
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				rank TINYINT NOT NULL default 1,
				name TINYINT NOT NULL default 1,
				score TINYINT NOT NULL default 1,
				sc_squad TINYINT NOT NULL default 0,
				sc_team TINYINT NOT NULL default 0,
				sc_vehicle TINYINT NOT NULL default 0,
				time TINYINT NOT NULL default 1,
				spm TINYINT NOT NULL default 1,
				kills TINYINT NOT NULL default 1,
				deaths TINYINT NOT NULL default 0,
				kdr TINYINT NOT NULL default 1,
				dogtags TINYINT NOT NULL default 1,
				accuracy TINYINT NOT NULL default 0,
				wins TINYINT NOT NULL default 1,
				losses TINYINT NOT NULL default 0,
				wlr TINYINT NOT NULL default 1,
				ace TINYINT NOT NULL default 0,
				bs TINYINT NOT NULL default 0,
				elo TINYINT NOT NULL default 0,
				updt TINYINT NOT NULL default 1
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."stats_default
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."stats_default
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				name VARCHAR(255) NOT NULL default '',
				rank TINYINT NOT NULL default 0,
				rank_name VARCHAR(255) NOT NULL default '',
				veteran TINYINT NOT NULL default 0,
				score INT NOT NULL default 0,
				level INT NOT NULL default 0,
				kills INT NOT NULL default 0,
				deaths INT NOT NULL default 0,
				time INT NOT NULL default 0,
				elo INT NOT NULL default 0,
				date_lastupdate VARCHAR(255) NOT NULL default '',
				lastonline VARCHAR(255) NOT NULL default '',
				clantag VARCHAR(16) NOT NULL default '',
				server LONGTEXT NOT NULL default ''
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."stats_general
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."stats_general
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				accuracy FLOAT NOT NULL default 0,
				dogr INT NOT NULL default 0,
				dogt INT NOT NULL default 0,
				elo0 INT NOT NULL default 0,
				elo1 INT NOT NULL default 0,
				games INT NOT NULL default 0,
				wins INT NOT NULL default 0,
				losses INT NOT NULL default 0,
				sc_assault INT NOT NULL default 0,
				sc_award INT NOT NULL default 0,
				sc_bonus INT NOT NULL default 0,
				sc_demo INT NOT NULL default 0,
				sc_general INT NOT NULL default 0,
				sc_objective INT NOT NULL default 0,
				sc_recon INT NOT NULL default 0,
				sc_squad INT NOT NULL default 0,
				sc_support INT NOT NULL default 0,
				sc_team INT NOT NULL default 0,
				sc_vehicle INT NOT NULL default 0
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."stats_kits
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."stats_kits
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				assault LONGTEXT NOT NULL default '',
				demo LONGTEXT NOT NULL default '',
				support LONGTEXT NOT NULL default '',
				recon LONGTEXT NOT NULL default ''
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."stats_teams
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."stats_teams
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				att LONGTEXT NOT NULL default '',
				def LONGTEXT NOT NULL default ''
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."stats_weapons
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."stats_weapons
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				aek LONGTEXT NOT NULL default '',
				xm8 LONGTEXT NOT NULL default '',
				f2000 LONGTEXT NOT NULL default '',
				aug LONGTEXT NOT NULL default '',
				an94 LONGTEXT NOT NULL default '',
				m416 LONGTEXT NOT NULL default '',
				m16 LONGTEXT NOT NULL default '',
				9a91 LONGTEXT NOT NULL default '',
				scar LONGTEXT NOT NULL default '',
				xm8c LONGTEXT NOT NULL default '',
				aks74u LONGTEXT NOT NULL default '',
				uzi LONGTEXT NOT NULL default '',
				pp2 LONGTEXT NOT NULL default '',
				ump LONGTEXT NOT NULL default '',
				pkm LONGTEXT NOT NULL default '',
				m249 LONGTEXT NOT NULL default '',
				qju88 LONGTEXT NOT NULL default '',
				m60 LONGTEXT NOT NULL default '',
				xm8lmg LONGTEXT NOT NULL default '',
				mg36 LONGTEXT NOT NULL default '',
				mg3 LONGTEXT NOT NULL default '',
				m24 LONGTEXT NOT NULL default '',
				qbu88 LONGTEXT NOT NULL default '',
				sv98 LONGTEXT NOT NULL default '',
				svu LONGTEXT NOT NULL default '',
				gol LONGTEXT NOT NULL default '',
				vss LONGTEXT NOT NULL default '',
				m95 LONGTEXT NOT NULL default '',
				m9 LONGTEXT NOT NULL default '',
				m1911 LONGTEXT NOT NULL default '',
				mp443 LONGTEXT NOT NULL default '',
				mp412 LONGTEXT NOT NULL default '',
				m93r LONGTEXT NOT NULL default '',
				mcs LONGTEXT NOT NULL default '',
				s12k LONGTEXT NOT NULL default '',
				spas12 LONGTEXT NOT NULL default '',
				u12 LONGTEXT NOT NULL default '',
				n2k LONGTEXT NOT NULL default '',
				g3 LONGTEXT NOT NULL default '',
				mk14ebr LONGTEXT NOT NULL default '',
				m1a1 LONGTEXT NOT NULL default '',
				m1 LONGTEXT NOT NULL default '',
				m16k LONGTEXT NOT NULL default '',
				mg3k LONGTEXT NOT NULL default '',
				m95k LONGTEXT NOT NULL default '',
				umpk LONGTEXT NOT NULL default '',
				m2v LONGTEXT NOT NULL default '',
				m16a1v LONGTEXT NOT NULL default '',
				ak47v LONGTEXT NOT NULL default '',
				m14v LONGTEXT NOT NULL default '',
				mac10v LONGTEXT NOT NULL default '',
				ppshv LONGTEXT NOT NULL default '',
				uziv LONGTEXT NOT NULL default '',
				m60v LONGTEXT NOT NULL default '',
				rpkv LONGTEXT NOT NULL default '',
				xm22v LONGTEXT NOT NULL default '',
				m40v LONGTEXT NOT NULL default '',
				svdv LONGTEXT NOT NULL default '',
				m21v LONGTEXT NOT NULL default '',
				tt33v LONGTEXT NOT NULL default ''
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."stats_vehicles
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."stats_vehicles
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				m1a2 LONGTEXT NOT NULL default '',
				t90 LONGTEXT NOT NULL default '',
				m3a3 LONGTEXT NOT NULL default '',
				bmd3 LONGTEXT NOT NULL default '',
				bmda LONGTEXT NOT NULL default '',
				ah64 LONGTEXT NOT NULL default '',
				MI28 LONGTEXT NOT NULL default '',
				havoc LONGTEXT NOT NULL default '',
				ah60 LONGTEXT NOT NULL default '',
				uav LONGTEXT NOT NULL default '',
				hmv LONGTEXT NOT NULL default '',
				vodn LONGTEXT NOT NULL default '',
				cobr LONGTEXT NOT NULL default '',
				quad LONGTEXT NOT NULL default '',
				cav LONGTEXT NOT NULL default '',
				jets LONGTEXT NOT NULL default '',
				PBLB LONGTEXT NOT NULL default '',
				XM312 LONGTEXT NOT NULL default '',
				KORD LONGTEXT NOT NULL default '',
				KORN LONGTEXT NOT NULL default '',
				TOW2 LONGTEXT NOT NULL default '',
				aav LONGTEXT NOT NULL default '',
				VADS LONGTEXT NOT NULL default '',
				XM307 LONGTEXT NOT NULL default '',
				m48v LONGTEXT NOT NULL default '',
				t54v LONGTEXT NOT NULL default '',
				hueyv LONGTEXT NOT NULL default '',
				gaz69v LONGTEXT NOT NULL default '',
				m15v LONGTEXT NOT NULL default '',
				minitruckv LONGTEXT NOT NULL default '',
				pbrv LONGTEXT NOT NULL default ''
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."stats_gadgets
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."stats_gadgets
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				knv LONGTEXT NOT NULL default '',
				40mmgl LONGTEXT NOT NULL default '',
				40mmsg LONGTEXT NOT NULL default '',
				smol LONGTEXT NOT NULL default '',
				rpg7 LONGTEXT NOT NULL default '',
				m2cg LONGTEXT NOT NULL default '',
				m136 LONGTEXT NOT NULL default '',
				hgr LONGTEXT NOT NULL default '',
				atm LONGTEXT NOT NULL default '',
				c4 LONGTEXT NOT NULL default '',
				mst LONGTEXT NOT NULL default '',
				ammb LONGTEXT NOT NULL default '',
				rept LONGTEXT NOT NULL default '',
				medk LONGTEXT NOT NULL default '',
				defi LONGTEXT NOT NULL default '',
				mots LONGTEXT NOT NULL default '',
				trad LONGTEXT NOT NULL default ''
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."stats_specializations
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."stats_specializations
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				assault_r LONGTEXT NOT NULL default '',
				assault_s LONGTEXT NOT NULL default '',
				assault_a LONGTEXT NOT NULL default '',
				smg_r LONGTEXT NOT NULL default '',
				smg_s LONGTEXT NOT NULL default '',
				smg_a LONGTEXT NOT NULL default '',
				medheal LONGTEXT NOT NULL default '',
				lmg_r LONGTEXT NOT NULL default '',
				lmg_s LONGTEXT NOT NULL default '',
				medradius LONGTEXT NOT NULL default '',
				lmg_aim LONGTEXT NOT NULL default '',
				sniper_s LONGTEXT NOT NULL default '',
				sczmplus LONGTEXT NOT NULL default '',
				sniper_r LONGTEXT NOT NULL default '',
				spscope LONGTEXT NOT NULL default '',
				sprint LONGTEXT NOT NULL default '',
				ammsupp LONGTEXT NOT NULL default '',
				grsupp LONGTEXT NOT NULL default '',
				bodarm LONGTEXT NOT NULL default '',
				buldmplus LONGTEXT NOT NULL default '',
				expdmplus LONGTEXT NOT NULL default '',
				expsupp LONGTEXT NOT NULL default '',
				shotgun_s LONGTEXT NOT NULL default '',
				shotgun_c LONGTEXT NOT NULL default '',
				vehmosens LONGTEXT NOT NULL default '',
				harveharm LONGTEXT NOT NULL default '',
				vdamage LONGTEXT NOT NULL default '',
				vreload LONGTEXT NOT NULL default '',
				tnsmk LONGTEXT NOT NULL default '',
				tnzm LONGTEXT NOT NULL default '',
				coaxmg LONGTEXT NOT NULL default ''
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."stats_insiginias
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."stats_insiginias
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				ins_0 LONGTEXT NOT NULL default '',
				ins_1 LONGTEXT NOT NULL default '',
				ins_2 LONGTEXT NOT NULL default '',
				ins_3 LONGTEXT NOT NULL default '',
				ins_4 LONGTEXT NOT NULL default '',
				ins_5 LONGTEXT NOT NULL default '',
				ins_6 LONGTEXT NOT NULL default '',
				ins_7 LONGTEXT NOT NULL default '',
				ins_8 LONGTEXT NOT NULL default '',
				ins_9 LONGTEXT NOT NULL default '',
				ins_10 LONGTEXT NOT NULL default '',
				ins_11 LONGTEXT NOT NULL default '',
				ins_12 LONGTEXT NOT NULL default '',
				ins_13 LONGTEXT NOT NULL default '',
				ins_14 LONGTEXT NOT NULL default '',
				ins_15 LONGTEXT NOT NULL default '',
				ins_16 LONGTEXT NOT NULL default '',
				ins_17 LONGTEXT NOT NULL default '',
				ins_18 LONGTEXT NOT NULL default '',
				ins_19 LONGTEXT NOT NULL default '',
				ins_20 LONGTEXT NOT NULL default '',
				ins_21 LONGTEXT NOT NULL default '',
				ins_22 LONGTEXT NOT NULL default '',
				ins_23 LONGTEXT NOT NULL default '',
				ins_24 LONGTEXT NOT NULL default '',
				ins_25 LONGTEXT NOT NULL default '',
				ins_26 LONGTEXT NOT NULL default '',
				ins_27 LONGTEXT NOT NULL default '',
				ins_28 LONGTEXT NOT NULL default '',
				ins_29 LONGTEXT NOT NULL default '',
				ins_30 LONGTEXT NOT NULL default '',
				ins_31 LONGTEXT NOT NULL default '',
				ins_32 LONGTEXT NOT NULL default '',
				ins_33 LONGTEXT NOT NULL default '',
				ins_34 LONGTEXT NOT NULL default '',
				ins_35 LONGTEXT NOT NULL default '',
				ins_36 LONGTEXT NOT NULL default '',
				ins_37 LONGTEXT NOT NULL default '',
				ins_38 LONGTEXT NOT NULL default '',
				ins_39 LONGTEXT NOT NULL default '',
				ins_40 LONGTEXT NOT NULL default '',
				ins_41 LONGTEXT NOT NULL default '',
				ins_42 LONGTEXT NOT NULL default '',
				ins_43 LONGTEXT NOT NULL default '',
				ins_44 LONGTEXT NOT NULL default '',
				ins_45 LONGTEXT NOT NULL default '',
				ins_46 LONGTEXT NOT NULL default '',
				ins_47 LONGTEXT NOT NULL default '',
				ins_48 LONGTEXT NOT NULL default '',
				ins_49 LONGTEXT NOT NULL default ''
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."stats_pins
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."stats_pins
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				pin_0 LONGTEXT NOT NULL default '',
				pin_1 LONGTEXT NOT NULL default '',
				pin_2 LONGTEXT NOT NULL default '',
				pin_3 LONGTEXT NOT NULL default '',
				pin_4 LONGTEXT NOT NULL default '',
				pin_5 LONGTEXT NOT NULL default '',
				pin_6 LONGTEXT NOT NULL default '',
				pin_7 LONGTEXT NOT NULL default '',
				pin_8 LONGTEXT NOT NULL default '',
				pin_9 LONGTEXT NOT NULL default '',
				pin_10 LONGTEXT NOT NULL default '',
				pin_11 LONGTEXT NOT NULL default '',
				pin_12 LONGTEXT NOT NULL default '',
				pin_13 LONGTEXT NOT NULL default '',
				pin_14 LONGTEXT NOT NULL default '',
				pin_15 LONGTEXT NOT NULL default '',
				pin_16 LONGTEXT NOT NULL default '',
				pin_17 LONGTEXT NOT NULL default '',
				pin_18 LONGTEXT NOT NULL default '',
				pin_19 LONGTEXT NOT NULL default '',
				pin_20 LONGTEXT NOT NULL default '',
				pin_21 LONGTEXT NOT NULL default '',
				pin_22 LONGTEXT NOT NULL default '',
				pin_23 LONGTEXT NOT NULL default '',
				pin_24 LONGTEXT NOT NULL default '',
				pin_25 LONGTEXT NOT NULL default '',
				pin_26 LONGTEXT NOT NULL default '',
				pin_27 LONGTEXT NOT NULL default '',
				pin_28 LONGTEXT NOT NULL default '',
				pin_29 LONGTEXT NOT NULL default '',
				pin_30 LONGTEXT NOT NULL default '',
				pin_31 LONGTEXT NOT NULL default '',
				pin_32 LONGTEXT NOT NULL default '',
				pin_33 LONGTEXT NOT NULL default '',
				pin_34 LONGTEXT NOT NULL default '',
				pin_35 LONGTEXT NOT NULL default '',
				pin_36 LONGTEXT NOT NULL default '',
				pin_37 LONGTEXT NOT NULL default '',
				pin_38 LONGTEXT NOT NULL default '',
				pin_39 LONGTEXT NOT NULL default '',
				pin_40 LONGTEXT NOT NULL default '',
				pin_41 LONGTEXT NOT NULL default '',
				pin_42 LONGTEXT NOT NULL default '',
				pin_43 LONGTEXT NOT NULL default '',
				pin_44 LONGTEXT NOT NULL default '',
				pin_45 LONGTEXT NOT NULL default '',
				pin_46 LONGTEXT NOT NULL default '',
				pin_47 LONGTEXT NOT NULL default ''
			) ENGINE = MYISAM
		;
	", "
		DROP TABLE IF EXISTS ".$_POST['prefix']."stats_dogtags
	", "
		CREATE TABLE IF NOT EXISTS 
			".$_POST['prefix']."stats_dogtags
			(
				ID INT UNSIGNED NOT NULL AUTO_INCREMENT PRIMARY KEY,
				dogt_total LONGTEXT NOT NULL default '',
				dogt_uniuque LONGTEXT NOT NULL default '',
				dogt_bron LONGTEXT NOT NULL default '',
				dogt_silv LONGTEXT NOT NULL default '',
				dogt_gold LONGTEXT NOT NULL default '',
				dogt_bron_u LONGTEXT NOT NULL default '',
				dogt_silv_u LONGTEXT NOT NULL default '',
				dogt_gold_u LONGTEXT NOT NULL default ''
			) ENGINE = MYISAM
		;
	");
?>